about summary refs log tree commit diff
path: root/extra/notify/configure
diff options
context:
space:
mode:
Diffstat (limited to 'extra/notify/configure')
-rwxr-xr-xextra/notify/configure44
1 files changed, 44 insertions, 0 deletions
diff --git a/extra/notify/configure b/extra/notify/configure
new file mode 100755
index 0000000..5a4ec45
--- /dev/null
+++ b/extra/notify/configure
@@ -0,0 +1,44 @@
+#!/bin/sh
+set -eu
+
+cflags() {
+	echo "CFLAGS += $*"
+}
+ldlibs() {
+	echo "LDLIBS ${o:-}= $*"
+	o=+
+}
+config() {
+	pkg-config --print-errors "$@"
+	cflags $(pkg-config --cflags "$@")
+	ldlibs $(pkg-config --libs "$@")
+}
+defstr() {
+	cflags "-D'$1=\"$2\"'"
+}
+defvar() {
+	defstr "$1" "$(pkg-config --variable=$3 $2)${4:-}"
+}
+
+exec >config.mk
+
+for opt; do
+	case "${opt}" in
+		(--prefix=*) echo "PREFIX = ${opt#*=}" ;;
+		(--mandir=*) echo "MANDIR = ${opt#*=}" ;;
+		(*) echo "warning: unsupported option ${opt}" >&2 ;;
+	esac
+done
+
+case "$(uname)" in
+	(OpenBSD)
+		ldlibs -ltls
+		;;
+	(Linux)
+		cflags -D_GNU_SOURCE
+		config libtls
+		;;
+	(*)
+		config libtls
+		;;
+esac
/service.c?h=1.4&id=cc8a88c059fffe5e7834cb2bfc2bb7c932a67c77&follow=1'>Remove use of "%n"June McEnroe 2021-02-01Check signals first in the loopJune McEnroe 2020-12-15Log a message when stopping a service waiting to restart 1.1June McEnroe 2020-11-10Refactor unveil calls so errors can be reported properlyJune McEnroe 2020-10-27Do not increment signalsJune McEnroe 2020-10-23Only look up group if one is namedJune McEnroe 2020-10-23Remove default defines of RUNDIR, ETCDIRJune McEnroe 2020-10-23Set shell scripts executable in buildJune McEnroe 2020-10-20Humanize milliseconds if interval is less than 1sJune McEnroe 2020-10-20Humanize restart intervalJune McEnroe 2020-08-17Document default catsit.conf location on OpenBSD 1.0June McEnroe 2020-08-17Template catsit script with RUNDIRJune McEnroe 2020-08-17Clean up includesJune McEnroe 2020-08-17Log service uptime in statusJune McEnroe